Groovy Documentation

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultNewInstanceResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver

All Implemented Interfaces:
  NewInstanceResolver

    public static class ObjectGraphBuilder.DefaultNewInstanceResolver

Default impl that calls Class.newInstance()

Method Summary
`java.lang.Object` | `newInstance(java.lang.Class klass, java.util.Map attributes)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### newInstance

    public java.lang.Object newInstance(java.lang.Class klass, java.util.Map attributes)

Groovy Documentation